> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get base scrapedatasets

> Search the full scraper catalog (beyond the curated list) by platform name

Required token scopes: `base|read`



## OpenAPI

````yaml /swagger.json get /base/{baseId}/scrape/datasets
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
tags:
  - name: base
    x-group: project
  - name: base node
    x-group: project node
  - name: base-share
    x-group: project-share
paths:
  /base/{baseId}/scrape/datasets:
    get:
      tags:
        - scrape
      description: >-
        Search the full scraper catalog (beyond the curated list) by platform
        name


        Required token scopes: `base|read`
      parameters:
        - schema:
            type: string
          required: true
          name: baseId
          in: path
        - schema:
            type: string
            minLength: 1
            maxLength: 100
            description: Platform or data-type keywords, e.g. "glassdoor reviews"
          required: true
          description: Platform or data-type keywords, e.g. "glassdoor reviews"
          name: q
          in: query
        - schema:
            type: integer
            minimum: 1
            maximum: 20
          required: false
          name: limit
          in: query
      responses:
        '200':
          description: Matching scrapers with inferred input fields
          content:
            application/json:
              schema:
                type: object
                properties:
                  datasets:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Raw scraper id (gd_...), usable as trigger datasetId
                        name:
                          type: string
                        inputs:
                          type: array
                          items:
                            type: object
                            properties:
                              name:
                                type: string
                            required:
                              - name
                          description: >-
                            Input fields the scraper requires; absent when they
                            could not be determined
                        modes:
                          type: array
                          items:
                            type: object
                            properties:
                              discoverBy:
                                type: string
                                description: Value to pass as discoverBy when triggering
                              inputs:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    name:
                                      type: string
                                  required:
                                    - name
                                description: >-
                                  Input fields this mode requires; absent when
                                  they could not be determined
                            required:
                              - discoverBy
                          description: >-
                            Discover modes the scraper supports besides
                            collecting URLs; empty when it only collects, absent
                            when they could not be determined
                      required:
                        - id
                        - name
                required:
                  - datasets
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request GET \
              --url 'https://app.teable.ai/api/base/%7BbaseId%7D/scrape/datasets?q=SOME_STRING_VALUE&limit=SOME_INTEGER_VALUE' \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
        - lang: JavaScript
          source: >-
            const url =
            'https://app.teable.ai/api/base/%7BbaseId%7D/scrape/datasets?q=SOME_STRING_VALUE&limit=SOME_INTEGER_VALUE';

            const options = {method: 'GET', headers: {Authorization: 'Bearer
            REPLACE_BEARER_TOKEN'}};


            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: |-
            const http = require('https');

            const options = {
              method: 'GET',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/base/%7BbaseId%7D/scrape/datasets?q=SOME_STRING_VALUE&limit=SOME_INTEGER_VALUE',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN'
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.end();
        - lang: Python
          source: >-
            import http.client


            conn = http.client.HTTPSConnection("app.teable.ai")


            headers = { 'Authorization': "Bearer REPLACE_BEARER_TOKEN" }


            conn.request("GET",
            "/api/base/%7BbaseId%7D/scrape/datasets?q=SOME_STRING_VALUE&limit=SOME_INTEGER_VALUE",
            headers=headers)


            res = conn.getresponse()

            data = res.read()


            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````